const themesColors = {
	cssVar: {
		themes: {
			"azure-radiance": {
				light: {
					// primary
					"--primary-lowest": "217 94% 68%",
					"--primary-lower": "217 91% 60%",
					"--primary": "217 83% 53%",
					"--primary-higher": "217 76% 48%",
					"--primary-highest": "217 71% 40%",
					"--on-primary": "0 0% 100%",
					"--primary-container": "218 100% 97%",
					"--primary-container-higher": "218 95% 93%",
					"--primary-container-highest": "217 97% 87%",
					"--on-primary-container": "217 71% 40%",
					"--primary-outline-lower": "217 97% 87%",
					"--primary-outline": "217 96% 78%",
					"--primary-outline-higher": "217 94% 68%",
					"--primary-outline-highest": "217 91% 60%",
				},
				dark: {
					// primary
					"--primary-lowest": "217 71% 40%",
					"--primary-lower": "217 76% 48%",
					"--primary": "217 83% 53%",
					"--primary-higher": "217 91% 60%",
					"--primary-highest": "217 94% 68%",
					"--on-primary": "0 0% 100%",
					"--primary-container": "217 57% 21%",
					"--primary-container-higher": "217 64% 33%",
					"--primary-container-highest": "217 71% 40%",
					"--on-primary-container": "217 97% 87%",
					"--primary-outline-lower": "217 57% 21%",
					"--primary-outline": "217 64% 33%",
					"--primary-outline-higher": "217 71% 40%",
					"--primary-outline-highest": "217 76% 48%",
				},
			},
		},
		globals: {
			light: {
				// surface
				"--surface": "0 0% 100%",
				"--surface-higher": "180 5% 96%",
				"--surface-container": "0 0% 100%",
				"--surface-container-higher": "180 5% 96%",
				"--surface-container-highest": "216 10% 93%",
				"--on-surface-lower": "213 9% 43%",
				"--on-surface": "220 8% 30%",
				"--on-surface-higher": "220 7% 8%",
				"--surface-outline-lower": "207 10% 90%",
				"--surface-outline": "210 9% 80%",
				"--surface-outline-higher": "210 8% 65%",
				"--surface-outline-highest": "213 9% 43%",

				// error
				"--error-lowest": "0 91% 71%",
				"--error-lower": "0 84% 60%",
				"--error": "0 72% 51%",
				"--error-higher": "0 74% 42%",
				"--error-highest": "0 70% 35%",
				"--on-error": "0 0% 100%",
				"--error-container": "0 86% 97%",
				"--error-container-higher": "0 93% 94%",
				"--error-container-highest": "0 96% 89%",
				"--on-error-container": "0 70% 35%",
				"--error-outline-lower": "0 96% 89%",
				"--error-outline": "0 94% 82%",
				"--error-outline-higher": "0 91% 71%",
				"--error-outline-highest": "0 84% 60%",

				// warning
				"--warning-lowest": "50 98% 64%",
				"--warning-lower": "48 96% 53%",
				"--warning": "45 93% 47%",
				"--warning-higher": "41 96% 40%",
				"--warning-highest": "35 92% 33%",
				"--on-warning": "26 83% 14%",
				"--warning-container": "55 92% 95%",
				"--warning-container-higher": "55 97% 88%",
				"--warning-container-highest": "53 98% 77%",
				"--on-warning-container": "28 73% 26%",
				"--warning-outline-lower": "53 98% 77%",
				"--warning-outline": "50 98% 64%",
				"--warning-outline-higher": "48 96% 53%",
				"--warning-outline-highest": "45 93% 47%",

				// success
				"--success-lowest": "83 78% 55%",
				"--success-lower": "84 81% 44%",
				"--success": "85 85% 35%",
				"--success-higher": "86 78% 27%",
				"--success-highest": "86 69% 23%",
				"--on-success": "0 0% 100%",
				"--success-container": "78 92% 95%",
				"--success-container-higher": "80 89% 89%",
				"--success-container-highest": "81 88% 80%",
				"--on-success-container": "88 61% 20%",
				"--success-outline-lower": "81 88% 80%",
				"--success-outline": "82 85% 67%",
				"--success-outline-higher": "83 78% 55%",
				"--success-outline-highest": "84 81% 44%",
			},
			dark: {
				"--surface": "220 7% 8%",
				"--surface-higher": "223 6% 11%",
				"--surface-container": "220 7% 8%",
				"--surface-container-higher": "223 6% 11%",
				"--surface-container-highest": "218 6% 20%",
				"--on-surface-lower": "210 8% 65%",
				"--on-surface": "210 9% 80%",
				"--on-surface-higher": "0 0% 100%",
				"--surface-outline-lower": "218 6% 20%",
				"--surface-outline": "220 8% 30%",
				"--surface-outline-higher": "214 9% 36%",
				"--surface-outline-highest": "213 9% 43%",

				// error
				"--error-lowest": "0 70% 35%",
				"--error-lower": "0 74% 42%",
				"--error": "0 72% 51%",
				"--error-higher": "0 84% 60%",
				"--error-highest": "0 91% 71%",
				"--on-error": "0 0% 100%",
				"--error-container": "0 75% 15%",
				"--error-container-higher": "0 63% 31%",
				"--error-container-highest": "0 70% 35%",
				"--on-error-container": "0 96% 89%",
				"--error-outline-lower": "0 75% 15%",
				"--error-outline": "0 63% 31%",
				"--error-outline-higher": "0 70% 35%",
				"--error-outline-highest": "0 74% 42%",

				// warning
				"--warning-lowest": "35 92% 33%",
				"--warning-lower": "41 96% 40%",
				"--warning": "45 93% 47%",
				"--warning-higher": "48 96% 53%",
				"--warning-highest": "50 98% 64%",
				"--on-warning": "26 83% 14%",
				"--warning-container": "26 83% 14%",
				"--warning-container-higher": "28 73% 26%",
				"--warning-container-highest": "32 81% 29%",
				"--on-warning-container": "55 97% 88%",
				"--warning-outline-lower": "26 83% 14%",
				"--warning-outline": "28 73% 26%",
				"--warning-outline-higher": "32 81% 29%",
				"--warning-outline-highest": "50 98% 64%",

				// success
				"--success-lowest": "86 69% 23%",
				"--success-lower": "86 78% 27%",
				"--success": "85 85% 35%",
				"--success-higher": "84 81% 44%",
				"--success-highest": "83 78% 55%",
				"--on-success": "0 0% 100%",
				"--success-container": "89 80% 10%",
				"--success-container-higher": "88 61% 20%",
				"--success-container-highest": "86 69% 23%",
				"--on-success-container": "80 89% 89%",
				"--success-outline-lower": "89 80% 10%",
				"--success-outline": "88 61% 20%",
				"--success-outline-higher": "86 69% 23%",
				"--success-outline-highest": "86 78% 27%",
			},
		},
	},
	cssVarConfig: {
		// "primary
		"primary-lowest": "hsl(var(--primary-lowest))",
		"primary-lower": "hsl(var(--primary-lower))",
		primary: "hsl(var(--primary))",
		"primary-higher": "hsl(var(--primary-higher))",
		"primary-highest": "hsl(var(--primary-highest))",
		"on-primary": "hsl(var(--on-primary))",
		"primary-container": "hsl(var(--primary-container))",
		"primary-container-higher": "hsl(var(--primary-container-higher))",
		"primary-container-highest": "hsl(var(--primary-container-highest))",
		"on-primary-container": "hsl(var(--on-primary-container))",
		"primary-outline-lower": "hsl(var(--primary-outline-lower))",
		"primary-outline": "hsl(var(--primary-outline))",
		"primary-outline-higher": "hsl(var(--primary-outline-higher))",
		"primary-outline-highest": "hsl(var(--primary-outline-highest))",

		// surface
		surface: "hsl(var(--surface))",
		"surface-higher": "hsl(var(--surface-higher))",
		"surface-container": "hsl(var(--surface-container))",
		"surface-container-higher": "hsl(var(--surface-container-higher))",
		"surface-container-highest": "hsl(var(--surface-container-highest))",
		"on-surface-lower": "hsl(var(--on-surface-lower))",
		"on-surface": "hsl(var(--on-surface))",
		"on-surface-higher": "hsl(var(--on-surface-higher))",
		"surface-outline-lower": "hsl(var(--surface-outline-lower))",
		"surface-outline": "hsl(var(--surface-outline))",
		"surface-outline-higher": "hsl(var(--surface-outline-higher))",
		"surface-outline-highest": "hsl(var(--surface-outline-highest))",

		// "error
		"error-lowest": "hsl(var(--error-lowest))",
		"error-lower": "hsl(var(--error-lower))",
		error: "hsl(var(--error))",
		"error-higher": "hsl(var(--error-higher))",
		"error-highest": "hsl(var(--error-highest))",
		"on-error": "hsl(var(--on-error))",
		"error-container": "hsl(var(--error-container))",
		"error-container-higher": "hsl(var(--error-container-higher))",
		"error-container-highest": "hsl(var(--error-container-highest))",
		"on-error-container": "hsl(var(--on-error-container))",
		"error-outline-lower": "hsl(var(--error-outline-lower))",
		"error-outline": "hsl(var(--error-outline))",
		"error-outline-higher": "hsl(var(--error-outline-higher))",
		"error-outline-highest": "hsl(var(--error-outline-highest))",

		// "warning
		"warning-lowest": "hsl(var(--warning-lowest))",
		"warning-lower": "hsl(var(--warning-lower))",
		warning: "hsl(var(--warning))",
		"warning-higher": "hsl(var(--warning-higher))",
		"warning-highest": "hsl(var(--warning-highest))",
		"on-warning": "hsl(var(--on-warning))",
		"warning-container": "hsl(var(--warning-container))",
		"warning-container-higher": "hsl(var(--warning-container-higher))",
		"warning-container-highest": "hsl(var(--warning-container-highest))",
		"on-warning-container": "hsl(var(--on-warning-container))",
		"warning-outline-lower": "hsl(var(--warning-outline-lower))",
		"warning-outline": "hsl(var(--warning-outline))",
		"warning-outline-higher": "hsl(var(--warning-outline-higher))",
		"warning-outline-highest": "hsl(var(--warning-outline-highest))",

		// "success
		"success-lowest": "hsl(var(--success-lowest))",
		"success-lower": "hsl(var(--success-lower))",
		success: "hsl(var(--success))",
		"success-higher": "hsl(var(--success-higher))",
		"success-highest": "hsl(var(--success-highest))",
		"on-success": "hsl(var(--on-success))",
		"success-container": "hsl(var(--success-container))",
		"success-container-higher": "hsl(var(--success-container-higher))",
		"success-container-highest": "hsl(var(--success-container-highest))",
		"on-success-container": "hsl(var(--on-success-container))",
		"success-outline-lower": "hsl(var(--success-outline-lower))",
		"success-outline": "hsl(var(--success-outline))",
		"success-outline-higher": "hsl(var(--success-outline-higher))",
		"success-outline-highest": "hsl(var(--success-outline-highest))",
	},
	colorConfig: {
		// need to be fix
		// setup extend color
		// create 2 object themes and globals
		// for themes check the default colors and set primary with default colors
		primary: {
			"azure-radiance": {
				50: "#fff",
			},
		},
		warning: {
			50: "#12345",
		},
	},
};

export default themesColors;
